[vectordb](../README.md) / [Exports](../modules.md) / VectorIndex

# Interface: VectorIndex

## Table of contents

### Properties

- [columns](VectorIndex.md#columns)
- [name](VectorIndex.md#name)
- [uuid](VectorIndex.md#uuid)

## Properties

### columns

• **columns**: `string`[]

#### Defined in

[index.ts:338](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L338)

___

### name

• **name**: `string`

#### Defined in

[index.ts:339](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L339)

___

### uuid

• **uuid**: `string`

#### Defined in

[index.ts:340](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L340)
